import '@s-ui/segment-wrapper'
import domain from '../domainFactory'
import clickListener from './clickListener'
import {setupSegmentWrapperConfig} from './segmentWrapper'
import {syncDmpIds} from './adobe'
import trackByWindowObject from './trackByWindowObject'

const loader = () => {
  setupSegmentWrapperConfig()
  window.rubik = window.rubik || {}
  // we keep this fn for legacy reasons, we are not sure but in case someone
  // is calling window.rubik.analytics.track directly it will still work
  window.rubik.analytics = {
    track: (event, properties, options) => {
      domain.get('track_tracking_use_case').execute({
        event,
        properties,
        options
      })
    }
  }
  syncDmpIds(domain)
  clickListener(domain)
  trackByWindowObject()
}

export default loader
